| Method | GET |
|---|---|
| Endpoint | https://{{host}}/agentassist/api/v1/public/analytics/{{botId}}/retrieveSmartAssistFunctionalities?accountId={{accountId}}&orgId={{orgId}}&type=skillGroups |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token |
| API Scope | SmartAssist Import and Export Feature |
Path Parameters
| Parameter | Description | Type |
|---|---|---|
host | Environment URL, for example, https://platform.kore.ai | string, required |
botId | botId or streamId. You can get it from the App Settings page. | string, required |
Query Parameters
| Parameter | Description | Type |
|---|---|---|
accountId | The account ID associated with the API request. | string, required |
orgId | The unique identifier of the organization. | string, required |
type | Type of entity to retrieve. For example, skillGroups. | string, required |
Sample Request
curl --location 'https://{{host}}/agentassist/api/v1/public/analytics/{{botId}}/retrieveSmartAssistFunctionalities?accountId={{accountId}}&orgId={{orgId}}&type=skillGroups' \
--header 'auth: <YOUR_AUTH_TOKEN>' \
--header 'accountId: {{accountId}}'
Request Header Parameters
| Header | Description | Required/Optional |
|---|---|---|
auth | JWT token for authentication. | required |
accountId | The account ID associated with the API request. | required |
Sample Response
[
{
"_id": "6656d350463a7e1fc890xxxx",
"name": "Default SkillGroup",
"description": "Default SkillGroup(Auto Created).",
"status": "ACTIVE",
"color": "#D2000D",
"skills": [
{
"_id": "6656d350463a7e1fc890xxxx",
"name": "Default Skill",
"isDefault": true,
"description": "Default Skill(Auto Created).",
"status": "ACTIVE",
"lname": "default skill",
"iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
"createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
}
],
"lname": "default skillgroup",
"isDefault": true,
"iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
"createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx",
"agentGroups": [],
"agents": []
},
{
"_id": "667da4e5a5b993156876xxxx",
"name": "AccountType",
"description": "AccountType",
"status": "ACTIVE",
"color": "#09A624",
"skills": [
{
"_id": "667da4f0a5b993156876xxxx",
"name": "Salary",
"isDefault": false,
"description": "Salary",
"status": "ACTIVE",
"agents": [],
"lname": "salary",
"iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
"createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
},
{
"_id": "667da4fb23ec62f9d6a4xxxx",
"name": "Saving",
"isDefault": false,
"description": "Saving",
"status": "ACTIVE",
"agents": [],
"lname": "saving",
"iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
"createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
},
{
"_id": "667da50523ec62f9d6a4xxxx",
"name": "Checking",
"isDefault": false,
"description": "Checking",
"status": "ACTIVE",
"agents": [],
"lname": "checking",
"iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
"createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
}
],
"lname": "accounttype",
"isDefault": false,
"iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
"createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx",
"agentGroups": [],
"agents": []
}
]
Response Body Parameters
| Parameter | Description | Type |
|---|---|---|
_id | Unique identifier for the SkillGroup. | string, required |
name | Display name of the SkillGroup. | string, required |
description | Description of the SkillGroup. | string, optional |
status | Status of the SkillGroup (ACTIVE, INACTIVE). | string, required |
color | Hex code representing the SkillGroup’s UI color. | string, optional |
lname | Lowercase version of the SkillGroup name. | string, optional |
isDefault | Indicates if this is the default SkillGroup. | boolean, required |
iId | Stream or application ID. For example: st-e19dd469-90f5-5655-b0b2-858de901xxxx. | string, required |
createdByAId | ID of the agent or user who created the SkillGroup. | string, required |
agentGroups | List of associated agent group IDs. | array, optional |
agents | List of associated agent IDs. | array, optional |
skills | Array of Skill objects. | array, optional |
skills[]._id | Unique identifier for the Skill. | string, required |
skills[].name | Display name of the Skill. | string, required |
skills[].isDefault | Indicates if this is the default Skill. | boolean, required |
skills[].description | Description of the Skill. | string, optional |
skills[].status | Status of the Skill (ACTIVE, INACTIVE). | string, required |
skills[].lname | Lowercase version of the Skill name. | string, optional |
skills[].iId | Stream or application ID associated with the Skill. | string, required |
skills[].createdByAId | ID of the agent or user who created the Skill. | string, required |
skills[].agents | List of associated agent IDs. | array, optional |